---
- name: create node dir
  file:
    path: "~/external"
    state: directory

- name: get node
  unarchive:
    src: "{{ node_download }}"
    dest: "~/external"
    creates: "~/external/node-{{ node_version }}-linux-x64/bin/node"
    remote_src: True
  when: "not ansible_check_mode"

- name: symlink node
  file:
    state: link
    src: "~/external/node-{{ node_version }}-linux-x64/bin/node"
    name: "{{ ansible_user_dir }}/bin/node"
